Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
MyBB Internal Error -> magic_quotes
#1
Hi Leute!
Und zwar lässt sich MyBB nicht installieren.
   
Ich gehe mal davon aus das mein PHP5.3 zu neu ist.
Gibt es dafür eine Lösung oder muss ich jetzt selbst am Code frickeln?
Wäre zwar kein Problem aber eine saubere Lösung würde mir gefallen ^^
#2
http://community.mybboard.net/thread-521...#pid372017
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Ich glaube nicht das es an deiner php-version liegt, ist aber möglich.
Hast du die Installation korrekt ausgeführt?
Hast du alle Datein hochgeladen?
Versuche, alles zu löschen, myBB nochmal herunterzuladen und es nochmal zu installieren.

Edit: Zu Spät.
#4
Der von StefanT angegebene Link behebt den Fehler. Ich hatte mit der neusten xampp Version die gleichen Probleme. Liegt tatsächlich an der php Version.
MyBBoard.de jetzt auf YouTube!
Fehlender Plan wird durch Wahnsinn ersetzt!!Toungue
Gruß Krafdi www.krafdi.de
#5
@magent

Ja ab PHP5.3 sind Magic quotes deprecated.
Aber ich warte lieber auf eine Patch der Entwicker ^^

//Edit:
Zudem kommt auch bei der Installation:

Code:
Deprecated: Function set_magic_quotes_runtime() is deprecated in /home/mrc/public_html/mybb/Upload/inc/class_core.php on line 163
MyBB

Und unten:

Code:
Warning [2] date() [function.date]: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead - Line: 134 - File: install/resources/output.php PHP 5.3.0 (Linux)

Wie gesagt: noch nicht an 5.3 angepasst da seit dieser Version erst diese Änderungen meines Wissens vorhanden sind.
#6
(15.10.2009, 17:04)MRC schrieb: @magent

Ja ab PHP5.3 sind Magic quotes deprecated.
Aber ich warte lieber auf eine Patch der Entwicker ^^
Die Lösung stammt von der Entwicklerseite. Wann der nächste Patch kommt können wir jetzt auch nicht sagen.
MyBBoard.de jetzt auf YouTube!
Fehlender Plan wird durch Wahnsinn ersetzt!!Toungue
Gruß Krafdi www.krafdi.de
#7
1) Das sollte mit den Änderungen doch behoben sein?
2) Das liegt an deinen PHP-Einstellungen.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#8
1.)Ja, hatte noch keine Zeit etwas zu testen

2.)Stellt sich die Frage warum ich für ein Forum meine PHP-Einstellungen ändern soll ^^
#9
2) Weil jedes PHP-Skript diesen Fehler auslösen wird. Toungue Da kann das MyBB nichts dafür.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#10
Dem man einfach entgegenwirken kann mit:

default_timezone_set()

PHP-Code:
default_timezone_set ('Europe/Berlin'); 
^^


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  phpBB3 mit Merge: Cleanup: Internal Server Error pcworld 6 1.602 23.01.2010, 16:03
Letzter Beitrag: pcworld
Exclamation MyBB Internal Error -Sun- 5 1.845 28.09.2009, 12:59
Letzter Beitrag: -Sun-
  Internal error, MyBB error (40) bbsff 6 1.231 27.08.2009, 12:19
Letzter Beitrag: bbsff